### Hierarchy

- unknown
  - FasterPaymentsAccountPayload

## Index

### Constructors

- constructor

### Methods

- getAccountNr
- getHolderName
- getSortCode
- serializeBinary
- setAccountNr
- setHolderName
- setSortCode
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new FasterPaymentsAccountPayload(): FasterPaymentsAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns FasterPaymentsAccountPayload

## Methods

### getAccountNr

- getAccountNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:5056

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5050

  #### Returns string

### getSortCode

- getSortCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:5053

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5059

  #### Returns Uint8Array

### setAccountNr

- setAccountNr(value: string): FasterPaymentsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5057

  #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

### setHolderName

- setHolderName(value: string): FasterPaymentsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5051

  #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

### setSortCode

- setSortCode(value: string): FasterPaymentsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5054

  #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

### toObject

- toObject(includeInstance?: boolean): FasterPaymentsAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5060

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns FasterPaymentsAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): FasterPaymentsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5063

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns FasterPaymentsAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: FasterPaymentsAccountPayload, reader: BinaryReader): FasterPaymentsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5064

  #### Parameters

  - ##### message: FasterPaymentsAccountPayload

  - ##### reader: BinaryReader

  #### Returns FasterPaymentsAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: FasterPaymentsAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5062

  #### Parameters

  - ##### message: FasterPaymentsAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: FasterPaymentsAccountPayload ): FasterPaymentsAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5061

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: FasterPaymentsAccountPayload

  #### Returns FasterPaymentsAccountPayload . AsObject

Generated using TypeDoc